List Sales Navigator lists

Lists the Sales Navigator lead lists (kind leads, default) or account lists (kind accounts) of a connected LinkedIn account. Lists can only be created in the Sales Navigator UI; the API reads and fills existing lists.

POST
/v1/messaging/sales-navigator/lists/search

Authorization

apiKeyAuth
x-api-key<token>

API key authentication. Create an API key in your user profile and include it in the x-api-key header.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://loading/api/v1/messaging/sales-navigator/lists/search" \  -H "Content-Type: application/json" \  -d '{    "connectedAccountId": "ac03972a-5ca5-43c5-b96f-c519ac843b7a"  }'
{
  "data": [
    {
      "id": "string",
      "name": "string",
      "type": "string",
      "description": "string",
      "items_count": 0,
      "last_modified_at": "string",
      "last_viewed_at": "string",
      "property1": null,
      "property2": null
    }
  ],
  "total_count": 0,
  "next_cursor": "string",
  "property1": null,
  "property2": null
}
"string"
"string"
"string"
"string"